Bug 8069 - Cannot see the track time after black fill covers the white time font
: Cannot see the track time after black fill covers the white time font
Status: RESOLVED FIXED
Product: Desktop platform
Themes
: 5.0/(2.2009.51-1)
: All Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: themes-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-15 19:31 UTC by john
Modified: 2010-03-15 20:54 UTC (History)
2 users (show)

See Also:


Attachments
Test case (1.07 KB, text/plain)
2010-01-27 20:36 UTC, Alberto Garcia Gonzalez
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description john (reporter) 2010-01-15 19:31:26 UTC
SOFTWARE VERSION:
(Settings > General > About product)
8.2
EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. When playing a track on my n900 (OS version was the version just prior to
1.2009.51.1, I have updated now and forget the exact number) the bottom right
side of the graphical interface shows the track time played/total time in white
font.  As the trakc or song progresses (plays) there is a black fill that
represents the amount of time elapsed in the track--this fill is in black and
when it covers the font showing the time it turns it black.  Hence, you cannot
see the time indicator anylonger (usually happens when song is about halfway
complete.
2. 
3. 

EXPECTED OUTCOME:
You can view font throuought song.
ACTUAL OUTCOME:
Cant see time after white font turns black.
REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
I have not tried this in several days.  So cannot comment on effect of new OS
update 1.2009.51.1.
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1;
InfoPath.2)
Comment 1 john (reporter) 2010-01-16 05:31:20 UTC
This is while using digital nature theme.
Comment 2 Alberto Garcia Gonzalez 2010-01-19 15:03:47 UTC
Hmmm, I haven't had the time to look into this yet, but from your description
it appears that it's a problem in the theme ... we don't change the colour
of the font / progress bar / whatever, we just stick to the default ones...
Comment 3 Alberto Garcia Gonzalez 2010-01-27 20:36:06 UTC
Created an attachment (id=2141) [details]
Test case

This is a test case with three progress bars, filled to 33%, 67% and 100%
respectively.
Comment 4 Alberto Garcia Gonzalez 2010-01-27 20:39:17 UTC
This is a problem in the digital nature theme, see the attached test case.

I've just tested with an internal build and it seems that it has already
been fixed. I'm reassigning this bug to the Themes component so they
can confirm it.
Comment 5 Andre Klapper maemo.org 2010-02-12 13:48:07 UTC
According to the last comment, this has been fixed already internally.

A future public update will include the fix. (This is not always already the
next public update.)

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 6 Andre Klapper maemo.org 2010-03-15 20:54:22 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).